routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('shop.layouts.master');
// });
Route::group(['prefix'=> '', 'namespace' => 'Shop' , 'as' => 'shop.'], function(){
     Route::get('/', 'ShopController@index')->name('index');
     Route::get('/the-loai/{slugParent}/{slug}', 'ShopController@categoryList')->name('categorylist');
     Route::get('/bai-viet/chi-tiet/{id}', 'ShopController@show')->name('detail');
     Route::get('/all-products', 'ShopController@allProducts')->name('allproducts');
     Route::get('/category-list/{name}_{id}', 'ShopController@categoryList')->name('categorylist');
     Route::post('/add-product-cart', 'ShopController@addProductToCart')->name('addproducttocart');
     Route::get('/gio-hang-cua-ban','ShopController@listCartProduct')->name('listcart');
     Route::post('/remove-item-cart','ShopController@removeItemCart')->name('removeitemcart');
     Route::post('/add-cart','ShopController@addCart')->name('addcart');
     Route::get('/ajax-show-cart','ShopController@ajaxShowCart')->name('ajaxshowcart');
     Route::post('/comment/add/{slug}_{id}', 'ShopController@addComment')->name('addcomment');
     Route::get('/about-us', 'ShopController@aboutUs')->name('about');
     Route::get('/contact-us', 'ShopController@contactUs')->name('contact');
     Route::post('/contact-us/add', 'ShopController@addContact')->name('addcontact');
});
Route::group(['prefix' => 'admin', 'namespace' => 'Admin','as'=>'admin.','middleware'=>['auth','checktype']], function () {
    Route::get('/', 'AdminController@index')->name('index');
     Route::group(['prefix' => 'category','as'=>'category.'], function () {
        Route::get('/', 'CategoryController@index')->name('list');
        Route::get('/add', 'CategoryController@create')->name('add');
        Route::post('/created', 'CategoryController@store')->name('created');
        Route::get('edit/{id}', 'CategoryController@edit')->name('edit');
        Route::post('/{id}', 'CategoryController@update')->name('update');
        Route::delete('/deletecate', 'CategoryController@destroy')->name('destroy');
    });
    Route::group(['prefix' => 'product','as'=>'product.'], function () {
        Route::get('/', 'ProductController@index')->name('list');
        Route::get('/add', 'ProductController@create')->name('add');
        Route::post('/created', 'ProductController@store')->name('created');
        Route::get('edit/{id}', 'ProductController@edit')->name('edit');
        Route::post('/{id}', 'ProductController@update')->name('update');
        Route::delete('/product/{id}', 'ProductController@destroy')->name('destroy');
        Route::post('/deleteimage', 'ProductController@deleteImage')->name('deleteimage');
        Route::post('/uploadimage/{type?}', 'ProductController@UploadMultiple')->name('uploadimage');
    });
       Route::group(['prefix' => 'order','as'=>'order.'], function () {
        Route::get('/', 'OrderController@index')->name('list');
        Route::get('/{status}', 'OrderController@indexStatus')->name('liststatus');
        Route::get('/ajax-show-orders','OrderController@ajaxShowOrders')->name('ajaxshoworders');
        Route::get('edit/{id}', 'OrderController@edit')->name('edit');
        Route::post('/{id}', 'OrderController@update')->name('update');
    });
});
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Models/Order.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
	protected $fillable=['user_id','checkout_at','delivery_address','delivery_at','name','phone','total','status'];
   public function orderDetails()
    {
        return $this->hasMany(OrderDetail::class,'order_id');
    }
      public function user()
    {
        return $this->belongsTo('App\User','user_id');
    }
}

app/Http/Controllers/Admin/OrderController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Order;
use Response;
use View;
use Carbon\Carbon;
class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

         $orders = Order::select()->OrderBy('created_at', 'asc')->paginate(5);
        return view('admin.order.list',
            [
                'orders' => $orders
            ]);
    }

     public function indexStatus($status)
    {
         $orders = Order::select()->where('status',$status)->orderBy('created_at', 'asc')->paginate(5);
        return view('admin.order.list',
            [
                'orders' => $orders , 'statusActive' => (int)$status
            ]);
    }

       public function ajaxShowOrders(Request $request)
    {
        $idOrders =  $request->id;
        if($idOrders != "0"){
          $ordersStatus = Order::select()->where('status',$idOrders)->OrderBy('created_at', 'asc')->paginate(5);
        }else{
            $ordersStatus = Order::select()->OrderBy('created_at', 'asc')->paginate(5);
        }
          return Response::json(View::make('admin.order.show-ajax-order', array('ordersStatus' => $ordersStatus))->render());
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $order = Order::findOrFail($id);
        return view('admin.order.update',['order'=>$order]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
       $model = Order::findOrFail($id);
       $dataUpdate = $request->all();
       $dataUpdate['delivery_at'] =  Carbon::parse($request->delivery_at);
       $model->update($dataUpdate);
       return redirect()->route('admin.order.list');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/admin/order/list.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
    <!-- Page Heading -->
    <h1 class="h3 mb-2 text-gray-800">Orders</h1>
    <p class="mb-4"></p>

    <!-- DataTales Example -->
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Orders Table</h6>
        </div>
        <div class="card-header py-3">
        	<div class="row col-btn-status">
            <div class="col-md-3">
                <a href="{{route('admin.order.list')}}" class="btn btn-outline-primary {{!isset($statusActive) ? 'active' : ''}}"
                   style="width: 100%;margin-bottom: 10px;" data-id="0" >
                    All Orders </a>
            </div>
             <div class="col-md-3">
                <a href="{{route('admin.order.liststatus',['status'=>1])}}" class="btn btn-outline-info {{isset($statusActive) && $statusActive === 1 ? 'active' : ''}}"
                   style="width: 100%;margin-bottom: 10px;" data-id="1" >
                    Pending Orders </a>
            </div>
             <div class="col-md-3">
                <a href="{{route('admin.order.liststatus',['status'=>2])}}" class="btn btn-outline-success {{isset($statusActive) && $statusActive === 2 ? 'active' : ''}}"
                   style="width: 100%;margin-bottom: 10px;" data-id="2">
                    Success Orders </a>
            </div>
             <div class="col-md-3">
                <a href="{{route('admin.order.liststatus',['status'=>3])}}" class="btn btn-outline-danger {{isset($statusActive) && $statusActive === 3 ? 'active' : ''}}"
                   style="width: 100%;margin-bottom: 10px;" data-id="3">
                    Cancel Orders </a>
            </div>
        	</div>
        </div>
        <div class="card-body show-ajax-card">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Phone</th>
                        <th>Address</th>
                        <th>Check out</th>
                        <th>Status</th>
                        <th colspan="2">Control</th>
                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Phone</th>
                        <th>Address</th>
                        <th>Check out</th>
                        <th>Status</th>
                        <th colspan="2">Control</th>
                    </tr>
                    </tfoot>
                    <tbody>
                    @foreach($orders as $order)
                        <tr>
                            <td>{{$order->id}}</td>
                            <td>{{$order->name}}</td>
                            <td>{{$order->phone}}</td>
                            <td>{{$order->delivery_address}}</td>
                            <td>{{date('d/m/Y H:i', strtotime($order->checkout_at))}}</td>
                            <?php $status =  $order->status ?>
                            @if($status == 1 )
                            <td>
                            	<button type="button" class="btn btn-info">Pending</button>
                            </td>
                            @elseif($status == 2)
                              <td>
                            	<button type="button" class="btn btn-success">Success</button>
                            </td>
                            @else
                             <td>
                            	<button type="button" class="btn btn-danger">Cancel</button>
                            </td>
                            @endif
                            <td>
                                <a class="btn btn-primary"
                                   href="{{route('admin.order.edit',['id'=>$order->id])}}">Update</a>
                            </td>
              
                               <!--  <td>
                                    <button type="button" class="btn btn-danger openModalDelete" data-toggle="modal"
                                            data-target="#exampleModalCenter" data-id="#">
                                        Delete
                                    </button>
                                </td> -->
     
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row col-md-12 justify-content-center">
                {{ $orders->links() }}
            </div>
        </div>
    </div>

@endsection

resources/views/admin/order/show-ajax-order.blade.php
@if($ordersStatus[0] === null)
 <div class="table-responsive">
    <div class="col-md-12">
        <button type="button" class="btn btn-danger">Status này hiện chưa có đơn hàng</button>
    </div>
 </div>
 @else
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Phone</th>
                        <th>Address</th>
                        <th>Check out</th>
                        <th>Status</th>
                        <th colspan="2">Control</th>
                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Phone</th>
                        <th>Address</th>
                        <th>Check out</th>
                        <th>Status</th>
                        <th colspan="2">Control</th>
                    </tr>
                    </tfoot>
                    <tbody>
                    @foreach($ordersStatus as $order)
                        <tr>
                            <td>{{$order->id}}</td>
                            <td>{{$order->name}}</td>
                            <td>{{$order->phone}}</td>
                            <td>{{$order->delivery_address}}</td>
                            <td>{{date('d/m/Y H:i', strtotime($order->checkout_at))}}</td>
                            <?php $status =  $order->status ?>
                            @if($status == 1 )
                            <td>
                                <button type="button" class="btn btn-info">Pending</button>
                            </td>
                            @elseif($status == 2)
                              <td>
                                <button type="button" class="btn btn-success">Success</button>
                            </td>
                            @else
                             <td>
                                <button type="button" class="btn btn-danger">Cancel</button>
                            </td>
                            @endif
                            <td>
                                <a class="btn btn-primary"
                                   href="{{route('admin.order.edit',['id'=>$order->id])}}">Update</a>
                            </td>
              
                                <!-- <td>
                                    <button type="button" class="btn btn-danger openModalDelete" data-toggle="modal"
                                            data-target="#exampleModalCenter" data-id="#">
                                        Delete
                                    </button>
                                </td> -->
     
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row col-md-12 justify-content-center">
                {{ $ordersStatus->links() }}
            </div>
        
@endif

resources/views/admin/order/update.blade.php
@extends('admin.layouts.master')
@section('content')
 <div class="container">
    <div class="card o-hidden border-0 shadow-lg my-5">
      <div class="card-body p-0">
        <!-- Nested Row within Card Body -->
        <div class="row">
          <div class="col-lg-12">
            <div class="p-5">
              <div class="text-center">
                <h1 class="h4 text-gray-900 mb-4">Update Order!</h1>
              </div>
              <form class="user" method="post" action="{{route('admin.order.update',['id'=>$order->id])}}">
              	@csrf
                <div class="form-group">
               	  <label for="name">Tên Người Nhận</label>
                  <input type="text" class="form-control form-control-user" id="" name="name" placeholder="Name" value="{{isset($order) ? $order->name : '' }}">
                </div>
                <div class="form-group">
                  <label for="name">User</label>
                  <input type="text" class="form-control form-control-user" id="" name="user_id" placeholder="User" value="{{isset($order->user) ? $order->user->name : '' }}" disabled>
                </div>
                 <div class="form-group">
                  <label for="name">Địa chỉ giao hàng</label>
                  <input type="text" class="form-control form-control-user" id="" name="delivery_address" placeholder="Delivery" value="{{isset($order->delivery_address) ? $order->delivery_address : '' }}">
                </div>
                <div class="form-group">
                  <label for="name">Số điện thoại liên  lạc</label>
                  <input type="text" class="form-control form-control-user" id="" name="phone" placeholder="User" value="{{isset($order->phone) ? $order->phone : '' }}">
                </div>
                 <div class="form-group">
                  <label for="name">Tổng tiền đơn hàng</label>
                  <input type="text" class="form-control form-control-user" id="" name="total" placeholder="User" value="{{isset($order->total) ? number_format($order->total,0,',','.') : '' }}" disabled>
                </div>
                 <div class="form-group">
                  <label for="name">Ngày giao hàng</label>
                 
                  <input type="date" class="form-control form-control-user" id="" name="delivery_at" placeholder="Date" value="{{date('Y-m-d',strtotime($order->delivery_at))}}" >
                </div>
                <div class="form-group row">
                    <legend class="col-form-label col-sm-2 pt-0">Status</legend>
                     <div class="col-sm-10">
                        <div class="form-check">
                              <input class="form-check-input" type="radio" name="status" id="gridRadios1"
                                     value="1" @if( isset($order) && $order->status == 1 )
                                     checked
                                     @elseif(!isset($order))
                                     checked
                                      @endif>
                              <label class="form-check-label" for="gridRadios1">
                                  Pendding
                              </label>
                          </div>
                          <div class="form-check">
                              <input class="form-check-input" type="radio" name="status" id="gridRadios2"
                                     value="2" @if(isset($order) && $order->status == 2 )
                                     checked
                                      @endif>
                              <label class="form-check-label" for="gridRadios2">
                                 Success
                              </label>
                          </div>
                           <div class="form-check">
                              <input class="form-check-input" type="radio" name="status" id="gridRadios2"
                                     value="3" @if(isset($order) && $order->status == 3 )
                                     checked
                                      @endif>
                              <label class="form-check-label" for="gridRadios2">
                                 Cancel
                              </label>
                          </div>
                      </div>
                  </div>
                <div class="form-group">
                 <button type="submit" class="btn btn-primary">Update</button>
                </div>
              </form>
              <hr>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
@endsection